# CUpti_Profiler_EndPass_Params Struct Reference
[CUPTI Profiling API]

Params for cuptiProfilerEndPass.

## Data Fields
uint8_t | allPassesSubmitted
| [out] becomes true when the last pass has been queued to the GPU
CUcontext | ctx
| [in] if NULL, the current CUcontext is used
size_t | passIndex
| [out] The targetNestingLevel that will be collected by the *next* BeginPass.
void * | pPriv
| [in] assign to NULL
size_t | structSize
| [in] CUpti_Profiler_EndPass_Params_STRUCT_SIZE

## Field Documentation

size_t CUpti_Profiler_EndPass_Params::passIndex

[out] The passIndex that will be collected by the *next* BeginPass